<?php
error_reporting(E_ALL);
session_start();

function comprueba(){
$login = '';
$pass = '';
extract($_POST);
if($_POST==true)
{
	$login = $_POST['login'];
	$pass = $_POST['pass']; 
 }
if($login and $pass){
	$link_nazasa='';
require("db.php");
$query="SELECT * FROM usuarios WHERE login='$login' ";
$result=mysqli_query($link_nazasa,$query) or die(mysqli_error($link_nazasa));
if(mysqli_num_rows($result)==0){
$texto ="<p>Login incorrecto<br /> 
	vuelve a intentar </p>";
	$_SESSION['texto']=$texto;
} else { 
$array=mysqli_fetch_array($result);
if($array["password"] == $pass){
$_SESSION['login']=$array['login'];
$_SESSION['nombre']=$array["nombre"];
$_SESSION['id']=$array['id'];
$_SESSION['rfcEmisor']=$array['rfc'];
$_SESSION['idBloqueado']=$array['idBloqueado'];
$texto ="Bienvenido";
$_SESSION['texto']=$texto;
} else { $texto ="<p>Login incorrecto<br /> 
	vuelve a intentar2</p>";$_SESSION['texto']=$texto;}
 } 
 }
  }
  comprueba();
   header('Content-Type: text/html; charset=iso-8859-1'); 
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>

<title>Documento sin t&iacute;tulo</title>
</head>
<link rel="stylesheet" href="http://facturamail.mx/sistemaQA/men_trabajo_top.css" type="text/css" />
<link href="http://facturamail.mx/sistemaQA/styleFACTURAMAIL.css" type="text/css" rel="stylesheet" />
<link href="http://facturamail.mx/sistemaQA/estilos.css" rel="stylesheet" type="text/css" />
<style type="text/css" >
/*input{ font-family:Calibri; background-color:#FCFFE1; font-size:12px;}*/

#idU{

background-color:#DBFFC4;

}
.error{ font-weight:bold; color:#FF0000; font-size:18px;   }
</style>
<body>

<?php
echo isset( $_SESSION['texto'])?$_SESSION['texto'].' '.$_SESSION['rfcEmisor']:'';
//echo $_SESSION['texto'].' '.$_SESSION['rfcEmisor'];
//echo 'iiiiiiiiiiiiiiid'.$_SESSION[id];
//print_r($_SESSION);
if(isset($_SESSION['login'])){

require("links.php");
function cargar()/*carga new file*/{
$nombre_carpeta='carpeta';
$filehandle = opendir($nombre_carpeta);
$link_nazasa = '';
require("db.php");
$query = mysqli_query($link_nazasa,"select nombreArchivo from archivoCargados where id_cliente = '".$_SESSION['id']."' ");

while($row=mysqli_fetch_array($query,MYSQLI_ASSOC)){
unlink('carpeta/'.$row['nombreArchivo']);
}




$nombretemp = $_FILES["archivo"]["tmp_name"];
$nombrearchivo = $_FILES["archivo"]["name"];
$tamanyoarchivo = $_FILES["archivo"]["size"];
$tipoarchivo = getimagesize($nombretemp);
$nuevonombre = $nombrearchivo;
if( $tipoarchivo[0] == 0 || $tipoarchivo[0] == 0 ||$tipoarchivo[0] == 0 || $tipoarchivo [2] == 2 || $tipoarchivo [2] == 3 ||$tipoarchivo[2] == 4){ //gif o jpg
    /*if ($tamanyoarchivo <= $tamanyomax) { //archivo demasioado grande*/
	if(move_uploaded_file($nombretemp, $nombre_carpeta.'/'. $nuevonombre)){
	chmod ($nombre_carpeta.'/' . $nuevonombre, 0755);
	
	$tamanyo =fileSize($nombre_carpeta.'/'. $nuevonombre);
	$fp = fopen($nombre_carpeta.'/'.$nuevonombre, "rb"); 
	$contenido = fread($fp, $tamanyo);
	$contenido = addslashes($contenido); 
	
	echo "<form action='{$_SERVER['PHP_SELF']}' method='post'>
	<input type='submit' value='ok!!'></form>";
	 $_SESSION['nuevonombre']=$nombre_carpeta.'/'.$nuevonombre;
	 $_SESSION['nombre']=$nuevonombre;
	 $link_nazasa='';
	 require("db.php");
	 $quer=mysqli_query($link_nazasa,"insert into archivoCargados 
	 (nombreArchivo,id_cliente) values 
	 ('".$_SESSION['nombre']."','".$_SESSION['id']."') ");
	
	}else{
	echo "<p>no se ah podido cargar el archivo. </p>";
	}

	}else{
	echo "<p> no es un archivo gif o jpg valido.</p>";
	}
	
	}
	
	
	if(!isset($_FILES["archivo"]["size"])){
	
	}else{cargar();}
if(isset($_SESSION['nuevonombre'])){
echo 'fué cargado un xml con exito.';
}
if(!isset($_SESSION['nuevonombre'])){
	
	if($_SESSION['idBloqueado']!=1){
?>

<form action="index.php" method="post" enctype="multipart/form-data" class="contacto">
<input name="archivo" type="file" size="50" />
<input type="submit" value="cargar archivo" />
</form>

	<?php }else{ echo '<br/><br/><p class="error">Este usuario no está registrado, favor de llamar a los teléfonos </p>
	<br/>
	<p class="error">(55) 52403772 /73 <br/>
(55) 24537851 /52</p>
'; }

	} }else{ ?>
<form action="index.php" method="post" class="contacto">

<label>usuario</label><br /><br />
<input name="login" type="text" /><br /><br />

<label>login</label><br /><br />
<input name="pass" type="password" /><br /><br />

<input type="submit" name="enviar" value="enviar" /><br /><br />
</form>


<?php } ?>
</body> 
</html>
